/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada-child
*/

.image-full, .image-full img {
    width: 100% !important;
}
.image-full-product > .avada-single-product-gallery-wrapper,
.image-full-product > .avada-single-product-gallery-wrapper > .woocommerce-product-gallery > .woocommerce-product-gallery__wrapper,
.image-full-product > .avada-single-product-gallery-wrapper > .woocommerce-product-gallery > .woocommerce-product-gallery__wrapper > div > a > img
{
    width: 100% !important;
}


.hidden {display: none !important;}

.home .logo-header {
    display: none;
}
#logos-kit-digital > div {
    gap: 20px;
}


.home .fusion-container-stuck:not(.fusion-sticky-transition) .menu-header li a.awb-menu__main-a,
.home .fusion-container-stuck:not(.fusion-sticky-transition) .menu-header li .awb-menu__i_main, 
.home .fusion-container-stuck:not(.fusion-sticky-transition) .openMenu > i,
.home .fusion-container-stuck:not(.fusion-sticky-transition) .openMenu > span {
    color: var(--awb-color1) !important;
}
.fusion-container-stuck .openMenu i.cooki-icon-menu {
    font-size: 22px;
}

#menu-menu-home li {
    margin-top: 5px;
    margin-bottom: 5px;
}

/* Listado productos */
#content-filtros-ordenar {
    .content-filtros-ordenar:not(.show) {
        display: none;
    }
    #content-filtrar {
        .yith-wcan-filters {
            width: 100%;

            .filters-container {
                width: 100%;

                form {
                    display: flex;
                    justify-content: space-between;
                    gap: 15px;

                    button.btn.btn-primary.yith-wcan-reset-filters.reset-filters.enhanced {
                        position: absolute;
                        top: -53px;
                        left: 160px;
                        font-size: 14px;
                        font-family: var(--body_typography-font-family);
                        background: #fff;
                        padding: 9px 29px;
                        cursor: pointer;
                        border: 1px solid;
                        border-radius: 100px;
                        line-height: 1;
                        &:hover {
                            background: var(--awb-color8);
                            color: #fff;
                        }
                    }

                    .label-design {
                        .filter-title {

                        }
                        .filter-content {
                            .filter-item {
                                border: 1px solid var(--awb-color8);
                                box-shadow: none;

                                &:hover,
                                &.active {
                                    background-color: var(--awb-color8);
                                }
                            }

                            .show-more.initialized {
                                cursor: pointer;
                            }
                        }

                    }
                }
            }
        }
    }
}

.fusion-grid-posts-cards .post-card, .card-product-taller-curso {
    .fusion-title-marquee .awb-marquee-content {
        padding: 0px 3vw;
    }

    &:hover {

        .curso-card-main-image::after {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-image: url('/wp-content/uploads/2024/08/LOGO-cookiteka.svg');
            background-size: 90%;
            background-repeat: no-repeat;
            background-position: center center;
            background-color: rgba(0, 0, 0, 0.5);
            opacity: 0;
            transition: opacity 0.3s ease-in-out;
            z-index: 2;
            pointer-events: none;
        }
        .crossfade-images .hover-image {
            position: relative;
            opacity: 1 !important;
        }
        .cart-loading {
            display: none !important;
        }
        .curso-card-main-image::after {
            opacity: 1;
        }
        .curso-card-main-image a > * {
            position: relative;
            z-index: 1;
        }
    }
}

.card-product-taller-curso {
    /* display: grid; */
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    /* grid-template-columns: repeat(auto-fit, minmax(280px, 1fr)); */

    &.scroll-slider {
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        gap: 20px;
        padding-bottom: 10px;

        
        scroll-snap-type: x proximity;
        scroll-behavior: smooth;

        &::-webkit-scrollbar {
            display: none;
        }

        /* slider */
        user-select: none;
        cursor: grab;
        &.dragging {
            cursor: grabbing;
            user-select: none;
            a {
                pointer-events: none;
              }
        }
        * {
            user-select: none;
          }
    }

    &.num-columns-2 { grid-template-columns: repeat(2, 1fr); }
    &.num-columns-3 { grid-template-columns: repeat(3, 1fr); }
    &.num-columns-4 { grid-template-columns: repeat(4, 1fr); }
    &.num-columns-5 { grid-template-columns: repeat(5, 1fr); }
    &.num-columns-6 { grid-template-columns: repeat(6, 1fr); }
}


@keyframes marqueeCustom {
    0% { transform: translateX(0); }
    100% { transform: translateX(-100%); }
}
.card-product-taller-curso,
.fusion-post-cards {
    .product-card {
        /* max-width: 260px; */
        /* overflow: hidden; */
        display: flex;
        flex-direction: column;
        position: relative;
        
        flex: 0 1 calc(20% - 16px);
        /* width: calc(20% - 16px); */
        min-width: calc(280px - 16px);
        /* width: 280px; */
        scroll-snap-align: start;

        .product-image {
            display: flex;
            position: relative;

            img {
                width: 100%;
                aspect-ratio: 1/1;
                object-fit: cover;
            }
        }

        .oferta {
            overflow: hidden;
            white-space: nowrap;
            display: flex;
            height: 30px;
            z-index: 1;
            position: absolute;
            color: var(--awb-color1);
            background-color: var(--awb-color6);
            width: 100%;
            align-items: center;
            span {
                display: inline-block;
                padding-left: 100%;
                animation: marqueeCustom 5s linear infinite;
            }
        }

        .product-type {
            padding: 5px 10px;
            border-bottom: 1px solid;
        }
        .product-title {
            font-size: 22px;
            padding: 10px 10px 20px;
        }

        .product-info {
            display: flex;
            /* align-items: flex-end; */
            padding: 0 10px 10px;
            border-bottom: 1px solid;
            margin-top: auto;
            height: 100%;

            .product-options {
                flex: 1 auto;

                .variation-info {
                    display: block;
                    &:hover {text-decoration: underline;}

                    &:not(:last-child) {margin-bottom: 10px;}
                }

                .product-location {
                    font-size: 12.9px;
                }

                .product-date {
                    text-transform: capitalize;
                }

            }
            .product-price {
                font-weight: 600; 
                display: flex;
                .woocommerce-Price-amount.amount {
                    display: flex;
                    align-items: flex-end;
                }
            }
        }

        &:hover {
            .product-image::after {
                /* content: '';
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-image: url('/wp-content/uploads/2024/08/LOGO-cookiteka.svg');
                background-size: 90%;
                background-repeat: no-repeat;
                background-position: center center;
                background-color: rgba(0, 0, 0, 0.5);
                opacity: 0;
                transition: opacity 0.3s ease-in-out;
                z-index: 2;
                pointer-events: none; */

                
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-image: url('/wp-content/uploads/2024/08/LOGO-cookiteka.svg');
                background-size: 90%;
                background-position: center;
                background-repeat: no-repeat;
                opacity: 1;
            }
        }
    }
}
.tile-oferta-ficha-producto {
    white-space: nowrap;
    width: 100%;
    h5 {
        display: inline-block;
        padding-left: 100% !important;
        width: 100%;
        animation: marqueeCustom 8s linear infinite;
    }
}

.fusion-post-cards {
    .product-card {
        /* width: auto;
        height: 100%; */
        flex: auto;
        
        .product-info {
            border-bottom: 0;
        }
    }
}

#hitos-cookiteca .counter-box-container {
    background-color: #fff;
    border-radius: 50%;
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;
    
    .content-box-percentage {
        min-width: 83px;
        text-align: right;
    }
    .counter-box-content {
        text-transform: uppercase;
        text-align: left;
        max-width: 120px;
    }
}

/* Talleres */

#content > .product {
    --accent-color: var(--awb-color8);

    .product-addicional-info {
        display: none;
    }

    .variations_form {

        table.variations {
            /* display: block !important; */
            display: none !important;
        }
        
        .woocommerce-variation {
            .woocommerce-variation-availability {
                display: none;
            }
        }
    }
    .product-options .stock,
    .stock.in-stock {
        display: none;
    }
    .alert-taller-finalizado {
        display: none;
    }
}

#content > .product.product_cat-cursos,
#content > .product.product-cookiteca-trimestral {
    --accent-color: var(--awb-color4);
}

#content > .product.product_cat-cursos,
#content > .product.product-cookiteca-pack {
    --accent-color: var(--awb-color5);
}

#content > .product.product_cat-talleres,
#content > .product.product-cookiteca-taller {
    --accent-color: var(--awb-color6);
}

#content > .product .avada-product-gallery .woocommerce-product-gallery__image {
    aspect-ratio: 1/1;
    object-fit: cover;
    
    img {
        aspect-ratio: 1/1;
        object-fit: cover;
    }
}


.product-tipo {
    color: var(--accent-color);
}
#location-container h2 {
    text-transform: uppercase;
    margin-bottom: 12px;
}

#location-container #center-locations {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.curso-col-border-top > div.fusion-column-wrapper {
    border-top: 1px solid var(--accent-color);
}
.curso-col-border-top > div.fusion-separator-border {
    border-color: var(--accent-color) !important;
}

.fusion-woo-cart table.variations select {
    border-radius: 0;
    border-color: var(--accent-color);
}

#location-container #center-locations .center-info {

    & h3 {
        margin: 0;
        font-size: 14px;
        font-weight: normal;
        padding: 8px 15px;
        color: var(--accent-color);
        border: 1px solid var(--accent-color);
        border-left: 0;
        border-right: 0;
    }

    table {
        width: 100%;

        tr {
            border-top: 1px solid var(--accent-color);
            border-bottom: 1px solid var(--accent-color);
            cursor: pointer;

            &.selected-session {
                color: var(--awb-color1);
                background-color: var(--accent-color);
                position: relative;

                &::after {
                    content: '';
                    position: absolute;
                    right: 14px;
                    width: 5px;
                    height: 10px;
                    border-right: 2px solid var(--awb-color1);
                    border-bottom: 2px solid var(--awb-color1);
                    transform: rotate(45deg);
                    top: 50%;
                    transform: translateY(-50%) rotate(45deg);
                }
            }

            &:hover:not(.selected-session) {
                color: var(--accent-color);
                background-color: #F4F4F4;
            }
        }

        td {
            padding: 5px 14px;
        }
    }
}

.talleres-pack-counter-counter {
    text-align: right;
    font-size: 22px;
}

.yith-wcpb-product-bundled-items {
    display: grid;
    grid-template-columns: 1fr 1fr;
    box-shadow: none;
    border: 0;
    gap: 40px;

    .yith-wcpb-product-bundled-item {
        border-bottom: 0;
        border-top: 1px solid var(--accent-color);
        padding: 10px 15px;

        .yith-wcpb-product-bundled-item-image {
            display: none;
        }

        .yith-wcpb-product-bundled-item-data {
            padding-left: 0;
            justify-content: flex-start;

            h3 {
                font-size: 22px;
                margin-top: 11px;
                margin: 0;
                font-weight: normal;
            }

            .taller-dia-hora {
                display: none;
                order: -1;
                justify-content: space-between;
                align-items: center;
                margin-bottom: 10px;

                .taller-cursado {
                    display: none;
                }
            }

        }

        &.past-date-product {
            color: #a7a7a7;
            h3 a {color:#a7a7a7}

            .taller-dia-hora .taller-cursado {
                display: inherit;
                text-transform: uppercase;
                font-weight: 600;
                color: var(--accent-color);
                flex: auto;
                margin-left: 10px;
            }
        }

        &.selected-product {
            background-color: var(--accent-color);
            color: var(--awb-color1);
            h2, a {color: var(--awb-color1);}
        }

        &:hover:not(.selected-product):not(.past-date-product) {
            /* color: var(--accent-color); */
            background-color: #F4F4F4;
        }
    }

    .yith-wcpb-product-bundled-item-data {

        .yith-wcpb-product-bundled-item-data__price,
        .yith-wcpb-bundled-optional-wrapper
        {
            display: none;
        }
    }
}

.product-cookiteca-pack .yith-wcpb-product-bundled-item:not(.past-date-product) {
    cursor: pointer;
}

.fusion-button-wrapper .container-qty {
    display: flex;
    margin-bottom: 70px;
    width: 100%;

    h2 {
        text-transform: uppercase;
        flex: auto;
        margin-bottom: 0;
        align-self: center;
    }
    .quantity.buttons_added {
        margin-bottom: 0;
        max-width: 370px;
        width: 100%;

        input[type="button"] {
            max-width: 67px;
            width: 100%;
            border-radius: 50px;
            border-color: var(--accent-color);
            color: var(--accent-color);
        }
        input[type="number"].qty {
            width: 100%;
            border: 0;
            border-radius: 50px;
            margin: 0 13px;
        }
    }
}

.yith-wcpb-product-view-more {
    margin-top: auto;
    display: flex;

    .view-more-link {
        font-size: 14px;
        font-weight: 500;
        text-transform: uppercase;
        margin-top: 10px;
        margin-left: auto;
    }
}

form.gift-cards_form {
    & > h3,
    .gift-card-content-editor.step-appearance {
        display: none;
    }

    /* .gift-card-content-editor.step-appearance {
        display: none;
    } */
    .gift-cards-list .ywgc-amount-buttons {
        cursor: pointer;
        &.selected_button {
            border: 3px solid;
        }
    }
}
.fusion-body .fusion-woo-cart-1 .fusion-button-wrapper .button.single_add_to_cart_button:hover {
    color: var(--awb-color8);
}

.single_add_to_cart_button[disabled] {
    cursor: not-allowed !important;
    opacity: 0.5;
}

/* .single_add_to_cart_button {
    color: #ffffff;
    cursor: pointer;
    opacity: 1;
} */



/* CELEBRACIONES */
.row-btn-celebraciones > div {
    gap: 10px;

    & > div:last-of-type {
        margin-left: auto;
    }
}
.celebraciones-col-right > div > div {
    height: 100%;
}

/* .row-btn-celebraciones > div > div:last-of-type {margin-left: auto} */


.icon-container {
    display: flex;
    gap: 40px; 

    .icon-block {
        text-align: center;
        max-width: 150px; 

        .icon {
            width: 100px; 
            max-height: 65px;
            margin-bottom: 10px; 
        }

        .icon-title {
            font-size: 18px; /* Mida de la font del títol */
            font-weight: bold; /* Text en negreta */
            margin: 0; /* Eliminar marge per defecte */
            margin-top: 10px; /* Espai entre la icona i el text */
        }

        .icon-subtitle {
            font-size: 14px; /* Mida de la font del subtítol */
            margin: 0; /* Eliminar marge per defecte */
            margin-top: 5px; /* Espai entre el títol i el subtítol */
        }
    }

}


/* ESPACIOS */
.mapa-localizacion{
    height: 100% !important;
}


/* CART */
.fusion-woo-cart_table-wrapper .fusion-woo-cart_table {

    .yith-wcpb-bundle-table-item,
    .yith-wcpb-child-of-bundle-table-item {
        border-bottom: 0;
        max-height: 50px;

        &.yith-wcpb-child-of-bundle-table-item--last {
            border-bottom: 1px solid;
        }
    }
    .yith-wcpb-bundle-table-item .product-info .meta-dades-carret {
        display: none;
    }
}
.cart-totals {

    table.shop_table.shop_table_responsive {
        border: 1px solid;
        padding: 30px 40px !important;
        margin-bottom: 30px;

        th,td {
            padding: 30px 40px !important;
        }

        .includes_tax {
            font-size: 11px;
            line-height: 1;
            display: inline-block;
            margin-top: 10px;
        }
    }

    .wc-proceed-to-checkout {
        text-transform: uppercase;

        .fusion-update-cart:hover {
            color: var(--awb-color1) !important;
        }
    
        .checkout-button {
            margin-top: 20px;
            background-color: var(--awb-color8) !important;
            color: var(--awb-color1) !important;
        
            &:hover {
                
                color: var(--awb-color8) !important;
                background-color: var(--awb-color1) !important;
            }
        }
    }

}

.woocommerce-category-products {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;

    .product {
        width: 30%;
        border: 1px solid #ddd;
        padding: 15px;
        text-align: center;
    
        img {
            max-width: 100%;
            height: auto;
        }
        
        h2 {
            font-size: 18px;
            margin: 10px 0;
        }
        
        .price {
            font-weight: bold;
            color: #007cba;
        }
    }
}


.container-cursos {
    .image-full img {
        aspect-ratio: 1/1;
        object-fit: cover;
    }
}

/* INGREDIENTES */
.bloc-leyenda-ingredientes ul.awb-toc-el__list.awb-toc-el__list--0 {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    
    li.awb-toc-el__list-item.awb-toc-el__list-item--highlighted a {
        font-weight: bold;
        text-decoration: underline;
    }
    li.awb-toc-el__list-item:hover a {
        font-weight: bold;
    }
}



/* RESPONSIVE */
@media only screen and (max-width: 1024px) {
    /* CELEBRACIONES */
    .row-btn-celebraciones > div > div:last-of-type {
        margin-left: initial;
    }
}
@media only screen and (max-width: 712px) {
    .card-product-taller-curso {
        grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    }
    .card-product-taller-curso,
        .fusion-post-cards {
            .product-card {
                min-width: calc(50% - 16px);
            }
        }
}
@media only screen and (max-width: 640px) {
    #menu-menu-header {
        li#menu-item-156 {
            --awb-gap: 15px;
        }
        
        span.fusion-widget-cart-number {
            /* display: none !important; */
            background-color: transparent;
        }

        li#menu-item-319 {
            display: none;
        }
    }

    .openMenu span {
        display: none !important;
    }
    #menu-menu-home li a {
        padding: 5px 10px;
    }

    .sub-title-cursos {
        h2, h3 {font-size: 25px !important;}
    }
    a.btn-ver-todos {
        font-size: 14px !important;
        padding: 9px 14px !important;
    }

    .curso-card-title h3 {
        font-size: 20px !important;
    }
    .card-col-info > div {
        padding-left: 4px !important;

        .btn-info {
            display: none;
        }
    }
    .card-col-buy > div {
        align-content: flex-start !important;
        flex-wrap: wrap;
        margin-top: 15px;
    }

    .celebraciones-img-incluye {
        max-height: 50vh;
    }
    .yith-wcpb-product-bundled-items {
        grid-template-columns: 1fr;
        gap: 5px;
    }

    .product-tipo {
        order: -1;
        margin-bottom: 0 !important;
    }
    .product-title h1 {
        font-size: 35px !important;
    }
    #location-container #center-locations {
        grid-template-columns: auto;
    }
    .product-options .fusion-button-wrapper {
        margin-top: 0 !important;
        position: sticky;
        bottom: 0;
        background-color: #fff;
        padding: 20px 0;

        .container-qty {
            margin-bottom: 30px;
        }
        .yith-wcpb-product-bundled-items {
            margin-bottom: 0;
        }
    }
    .product-description {
        margin-top: 30px !important;
    }
    body .col-contenido_curso_izquierda .taller-lugar {
        text-align: left !important;
    }
}

@media only screen and (max-width: 430px) {
    .card-product-taller-curso,
        .fusion-post-cards {
            .product-card {
                min-width: 100%;
            }
        }
}